namespace HermesSocketLibrary.Quests
{
    public interface IQuestTask
    {
        public string Name { get; }
        public QuestType Type { get; set; }
        public int Target { get; }
        public abstract bool Process(long chatterId, string message, HashSet<string> emotes);
        public abstract bool IsCompleted(int counter);
    }
}