namespace HermesSocketLibrary.Socket.Data
{
    public class ErrorMessage
    {
        public Exception? Exception { get; set; }
        public string Message { get; set; }

        public ErrorMessage(Exception exception, string message)
        {
            Exception = exception;
            Message = message;
        }

        public ErrorMessage(string message)
        {
            Message = message;
            Exception = null;
        }
    }
}